Bug Hunting Session
Bug 36638 - Formula's move when overwriting other formulas
Summary: Formula's move when overwriting other formulas
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Formula-Editor
  Show dependency treegraph
 
Reported: 2011-04-27 06:49 UTC by Alexander Karatarakis
Modified: 2018-10-18 02:50 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Example cases featuring the bug (28.66 KB, application/vnd.oasis.opendocument.text)
2011-04-27 06:49 UTC, Alexander Karatarakis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Karatarakis 2011-04-27 06:49:23 UTC
Created attachment 46122 [details]
Example cases featuring the bug

It is not clear to me when exactly this happens, so I included an attachment that features the problem. 

In the attachment, there are two tests with each one having 2 formulas. 

Test 1:
Copy the second formula and paste it over the first formula. The new formula is placed 1 place *back*, ie:
previous: <text><space><FORMULA1><fullstop>
now: <text><FORMULA2><space><fullstop>

Test 2:
This is the same text as test 1, but I deleted part of the first sentence. Copy the second formula and paste it over the first formula. The new formula is placed 1 place *forward*, ie
previous: <text><space><FORMULA1><fullstop>
now: <text><space><fullstop><FORMULA2>
Comment 1 Alexander Karatarakis 2011-04-27 07:19:01 UTC
The formula can move more than 1 place, but I have not encountered a case of it moving more than 4 places.
Comment 2 Björn Michaelsen 2011-12-23 12:03:29 UTC Comment hidden (obsolete)
Comment 3 Alexander Karatarakis 2011-12-25 08:23:12 UTC
Testing with lodev-3.5 beta 2: 
the bug is still present and can be reproduced exactly as mentioned on the first comment.
Comment 4 Marcos Souza 2013-05-21 19:03:27 UTC
Reproducible in Master build 4.2.0 alpha
Comment 5 Alexander Karatarakis 2014-02-11 19:39:03 UTC
Also in final 4.2
Comment 6 Marcos Souza 2014-03-04 15:23:58 UTC
I can't reproduce this using 4.2.2.

Can someone else reproduce this or we can close this bug?
Comment 7 Alexander Karatarakis 2014-03-04 15:25:18 UTC
4.2.2? Let me check. Definitely reproducible in 4.2.1 I currently use.
Comment 8 Alexander Karatarakis 2014-03-06 19:02:19 UTC
Still occurs in 4.2.2.
In the previously attached test example, take the 3rd formula and paste in on top of the 1st formula. OR, take the 1st or 2nd formula and paste it on top of the 3rd.
Comment 9 Joel Madero 2015-05-02 15:42:13 UTC Comment hidden (obsolete)
Comment 10 Alexander Karatarakis 2015-05-03 11:17:22 UTC
Still an issue in 4.4.2.2.
Comment 11 QA Administrators 2016-09-20 09:37:59 UTC Comment hidden (obsolete)
Comment 12 Alexander Karatarakis 2016-10-05 06:57:19 UTC
Still an issue in 5.2.2.2.
Comment 13 QA Administrators 2018-10-18 02:50:02 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug